org.apache.coyote.http11.upgrade

## Class UpgradeProcessor<S>

- java.lang.Object
- - org.apache.coyote.http11.upgrade.UpgradeProcessor<S>

All Implemented Interfaces:
  Processor<S>

Direct Known Subclasses:
  UpgradeAprProcessor, UpgradeBioProcessor, UpgradeNioProcessor

Deprecated.
Will be removed in Tomcat 8.0.x.

    @Deprecated
    public abstract class UpgradeProcessor<S>
    extends Object
    implements Processor<S>

### Field Summary

Fields
`protected static StringManager` `sm` Deprecated.

### Constructor Summary

Constructors
`protected` `UpgradeProcessor(UpgradeInbound upgradeInbound)` Deprecated.

### Method Summary

Methods
`AbstractEndpoint.Handler.SocketState` `asyncDispatch(SocketStatus status)` Deprecated.
`AbstractEndpoint.Handler.SocketState` `asyncPostProcess()` Deprecated.
`AbstractEndpoint.Handler.SocketState` `event(SocketStatus status)` Deprecated.
`abstract void` `flush()` Deprecated.
`Executor` `getExecutor()` Deprecated.
`HttpUpgradeHandler` `getHttpUpgradeHandler()` Deprecated.
`Request` `getRequest()` Deprecated.
`UpgradeInbound` `getUpgradeInbound()` Deprecated.
`boolean` `isAsync()` Deprecated.
`boolean` `isComet()` Deprecated.
`boolean` `isUpgrade()` Deprecated.
`AbstractEndpoint.Handler.SocketState` `process(SocketWrapper<S> socketWrapper)` Deprecated.
`abstract int` `read()` Deprecated. This is always a blocking read of a single byte.
`abstract int` `read(boolean block, byte[] bytes, int off, int len)` Deprecated. Read up to len bytes from the input in either blocking or non-blocking mode (where non-blocking is supported).
`void` `recycle(boolean socketClosing)` Deprecated.
`void` `setSslSupport(SSLSupport sslSupport)` Deprecated.
`AbstractEndpoint.Handler.SocketState` `upgradeDispatch()` Deprecated.
`AbstractEndpoint.Handler.SocketState` `upgradeDispatch(SocketStatus status)` Deprecated.
`abstract void` `write(byte[] b, int off, int len)` Deprecated.
`abstract void` `write(int b)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

Deprecated.

### Constructor Detail

#### UpgradeProcessor

    protected UpgradeProcessor(UpgradeInbound upgradeInbound)

Deprecated.

### Method Detail

#### flush

    public abstract void flush()
                        throws IOException

Deprecated.

Throws:
  `IOException`

#### write

    public abstract void write(int b)
                        throws IOException

Deprecated.

Throws:
  `IOException`

#### write

    public abstract void write(byte[] b,
             int off,
             int len)
                        throws IOException

Deprecated.

Throws:
  `IOException`

#### read

    public abstract int read()
                      throws IOException

Deprecated.
This is always a blocking read of a single byte.

Returns:
  The next byte or -1 if the end of the input is reached.
Throws:
  `IOException` - If a problem occurs trying to read from the input

#### read

    public abstract int read(boolean block,
           byte[] bytes,
           int off,
           int len)
                      throws IOException

Deprecated.
Read up to len bytes from the input in either blocking or non-blocking mode (where non-blocking is supported). If the input does not support non-blocking reads, a blcoking read will be performed.

Parameters:
  `block` -
  `bytes` -
  `off` -
  `len` -
Returns:
  The number of bytes read or -1 if the end of the input is reached. Non-blocking reads may return zero if no data is available. Blocking reads never return zero.
Throws:
  `IOException` - If a problem occurs trying to read from the input

#### getUpgradeInbound

    public final UpgradeInbound getUpgradeInbound()

Deprecated.

Specified by:
  `getUpgradeInbound` in interface `Processor<S>`

#### upgradeDispatch

    public final AbstractEndpoint.Handler.SocketState upgradeDispatch()
                                                               throws IOException

Deprecated.

Specified by:
  `upgradeDispatch` in interface `Processor<S>`
Throws:
  `IOException`

#### recycle

    public final void recycle(boolean socketClosing)

Deprecated.

Specified by:
  `recycle` in interface `Processor<S>`

#### getHttpUpgradeHandler

    public HttpUpgradeHandler getHttpUpgradeHandler()

Deprecated.

Specified by:
  `getHttpUpgradeHandler` in interface `Processor<S>`

#### upgradeDispatch

    public AbstractEndpoint.Handler.SocketState upgradeDispatch(SocketStatus status)
                                                         throws IOException

Deprecated.

Specified by:
  `upgradeDispatch` in interface `Processor<S>`
Throws:
  `IOException`

#### isUpgrade

    public boolean isUpgrade()

Deprecated.

Specified by:
  `isUpgrade` in interface `Processor<S>`

#### getExecutor

    public final Executor getExecutor()

Deprecated.

Specified by:
  `getExecutor` in interface `Processor<S>`

#### process

    public final AbstractEndpoint.Handler.SocketState process(SocketWrapper<S> socketWrapper)
                                                       throws IOException

Deprecated.

Specified by:
  `process` in interface `Processor<S>`
Throws:
  `IOException`

#### event

    public final AbstractEndpoint.Handler.SocketState event(SocketStatus status)
                                                     throws IOException

Deprecated.

Specified by:
  `event` in interface `Processor<S>`
Throws:
  `IOException`

#### asyncDispatch

    public final AbstractEndpoint.Handler.SocketState asyncDispatch(SocketStatus status)

Deprecated.

Specified by:
  `asyncDispatch` in interface `Processor<S>`

#### asyncPostProcess

    public final AbstractEndpoint.Handler.SocketState asyncPostProcess()

Deprecated.

Specified by:
  `asyncPostProcess` in interface `Processor<S>`

#### isComet

    public final boolean isComet()

Deprecated.

Specified by:
  `isComet` in interface `Processor<S>`

#### isAsync

    public final boolean isAsync()

Deprecated.

Specified by:
  `isAsync` in interface `Processor<S>`

#### getRequest

    public final Request getRequest()

Deprecated.

Specified by:
  `getRequest` in interface `Processor<S>`

#### setSslSupport

    public final void setSslSupport(SSLSupport sslSupport)

Deprecated.

Specified by:
  `setSslSupport` in interface `Processor<S>`